<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <record id="module_category_fusion_api" model="ir.module.category">
        <field name="name">Fusion API</field>
        <field name="sequence">50</field>
    </record>

    <record id="res_groups_privilege_fusion_api" model="res.groups.privilege">
        <field name="name">Fusion API</field>
        <field name="sequence">50</field>
        <field name="category_id" ref="module_category_fusion_api"/>
    </record>

    <record id="group_user" model="res.groups">
        <field name="name">User</field>
        <field name="sequence">10</field>
        <field name="implied_ids" eval="[(4, ref('base.group_user'))]"/>
        <field name="privilege_id" ref="res_groups_privilege_fusion_api"/>
    </record>

    <record id="group_manager" model="res.groups">
        <field name="name">Manager</field>
        <field name="sequence">20</field>
        <field name="implied_ids" eval="[(4, ref('fusion_api.group_user'))]"/>
        <field name="privilege_id" ref="res_groups_privilege_fusion_api"/>
    </record>

    <record id="group_admin" model="res.groups">
        <field name="name">Administrator</field>
        <field name="sequence">30</field>
        <field name="implied_ids" eval="[(4, ref('fusion_api.group_manager'))]"/>
        <field name="privilege_id" ref="res_groups_privilege_fusion_api"/>
        <field name="user_ids" eval="[(4, ref('base.user_root')), (4, ref('base.user_admin'))]"/>
    </record>
</odoo>
